Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041434
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2019-07-23 15:532019-08-22 14:45
Reportercollazoandy4View Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revisioncd20f6aaf921
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041434: Apply HQL style guide to DocFINFinAccTransaction

DescriptionApply HQL style guide to DocFINFinAccTransaction
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 
related to defect 00412433.0PR19Q4 closedcollazoandy4 DocFINFinAccTransaction.createFact is not using bind-params 

-  Notes
(0113625)
collazoandy4 (developer)
2019-07-24 17:29

Test Plan
  Create a new Sales Invoice for Alimentos y Supermercados, S.A
    Complete the invoice and Add a Payment
  Go to Financial Account and select the previous transaction created and post it, check the process ends without errors
(0114088)
hgbot (developer)
2019-08-19 13:38

Repository: erp/devel/pi
Changeset: cd20f6aaf921968ec6cefbb82ad9e76ac8ae2b69
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Wed Jul 24 00:33:39 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/cd20f6aaf921968ec6cefbb82ad9e76ac8ae2b69 [^]

Fixes issue 41434: Apply HQL style guide to DocFINFinAccTransaction

Applied the new HQL style in DocFINFinAccTransaction

---
M src/org/openbravo/erpCommon/ad_forms/DocFINFinAccTransaction.java
---
(0114090)
Sandrahuguet (developer)
2019-08-19 13:40

code review + testing ok
(0114233)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-23 15:53 collazoandy4 New Issue
2019-07-23 15:53 collazoandy4 Assigned To => Triage Finance
2019-07-23 15:53 collazoandy4 Modules => Core
2019-07-23 15:53 collazoandy4 Triggers an Emergency Pack => No
2019-07-23 15:58 collazoandy4 Relationship added related to 0041287
2019-07-23 16:10 collazoandy4 Assigned To Triage Finance => collazoandy4
2019-07-23 16:10 collazoandy4 Status new => scheduled
2019-07-24 17:29 collazoandy4 Note Added: 0113625
2019-08-19 11:33 Sandrahuguet Relationship added related to 0041243
2019-08-19 13:38 hgbot Checkin
2019-08-19 13:38 hgbot Note Added: 0114088
2019-08-19 13:38 hgbot Status scheduled => resolved
2019-08-19 13:38 hgbot Resolution open => fixed
2019-08-19 13:38 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/cd20f6aaf921968ec6cefbb82ad9e76ac8ae2b69 [^]
2019-08-19 13:40 Sandrahuguet Review Assigned To => Sandrahuguet
2019-08-19 13:40 Sandrahuguet Note Added: 0114090
2019-08-19 13:40 Sandrahuguet Status resolved => closed
2019-08-19 13:40 Sandrahuguet Fixed in Version => 3.0PR19Q4
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114233


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker